1. Fiat Account Management
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
          POST
        • Get Fiat Account Application Status
          GET
        • Fiat Account Application Status Webhook
        • Add Bank Account
          POST
        • Get Bank Accounts
          GET
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
        • Create Fiat Withdrawal
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Fiat Account Management

Get Bank Accounts

GET
/v1.0/crm/addressBook/bankAccount
API Overview
ItemValue
API StatusStable
Current Versionv1.0
Backward CompatibilityNo
Applicable EnvironmentProduction

Description
Get list of bank accounts.

Request

Authorization
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1.0/crm/addressBook/bankAccount?participantCode&bankAccountNumber&offset&limit'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "bankAccounts": [
            {
                "bankAccountId": "string",
                "participantCode": "string",
                "type": 1,
                "typeOfThirdParty": 1,
                "corporateCountryCode": "string",
                "label": "string",
                "bankAccountNumber": "string",
                "swiftCode": "string",
                "bankName": "string",
                "bankAddress": "string",
                "bankCountry": "string",
                "bankState": "string",
                "bankCity": "string",
                "postCode": "string",
                "routingNumber": "string",
                "intermediaryBank": [
                    {
                        "currency": "string",
                        "swiftCode": "string",
                        "bankName": "string",
                        "bankAddress": "string",
                        "bankCountry": "string"
                    }
                ],
                "relationship": "string",
                "beneficiaryOfThirdParty": {
                    "name": "string",
                    "email": "string",
                    "addressInfo": {
                        "country": "string",
                        "state": "string",
                        "city": "string",
                        "postCode": "string",
                        "addressLine1": "string",
                        "addressLine2": "string"
                    }
                },
                "createdAt": 0,
                "updatedAt": 0
            }
        ],
        "pagination": {
            "limit": 0,
            "offset": 0,
            "total": 0,
            "hasMore": true
        }
    }
}
🟢200成功
Modified at 2026-04-02 07:32:36
Previous
Add Bank Account
Next
Get List of Currencies that Supports Same-Name Withdrawal
Built with